document.addEventListener('DOMContentLoaded', function() {
  const notesGrid = document.querySelector('.notes-grid');
  const newNoteBtn = document.getElementById('newNote');
  const searchInput = document.getElementById('search');

  // Sample notes data
  let notes = [
    { id: 1, title: 'Meeting Notes', content: 'Discussed project timeline...' },
    { id: 2, title: 'Shopping List', content: 'Milk, Eggs, Bread...' }
  ];

  // Render notes
  function renderNotes(filter = '') {
    notesGrid.innerHTML = '';
    const filteredNotes = notes.filter(note => 
      note.title.toLowerCase().includes(filter.toLowerCase()) ||
      note.content.toLowerCase().includes(filter.toLowerCase())
    );

    filteredNotes.forEach(note => {
      const noteCard = document.createElement('div');
      noteCard.className = 'note-card';
      noteCard.innerHTML = `
        <h3>${note.title}</h3>
        <p>${note.content}</p>
      `;
      notesGrid.appendChild(noteCard);
    });
  }

  // Add new note
  newNoteBtn.addEventListener('click', () => {
    const newNote = {
      id: Date.now(),
      title: 'New Note',
      content: 'Start typing your note here...'
    };
    notes.unshift(newNote);
    renderNotes();
  });

  // Search notes
  searchInput.addEventListener('input', (e) => {
    renderNotes(e.target.value);
  });

  // Initial render
  renderNotes();
});